Have a feature request or suggestion? Post your idea here!

Post

1 follower Follow
0
Avatar

PIONEER DDJ SZ WITH TRAKTOR

Hi , i m a user of traktor with a ddj-sx2 for 6 months and i decide to order and move to the ddj-sz.

My question is which firmware version i should use with Traktor pro 2.6.8 ?

1.20 and above or below ?

If my ddj-sz comes ( i m expecting in 2 weeks ) with higher firmware version than the one i supposed to use with Traktor is there a way to downgrade firmware version.

Thanks a lot!

KIKIS STAVROU

Please sign in to leave a comment.

1 comment

0
Avatar

http://faq.pioneerdj.com/product.php?c=3995&lang=en&p=DDJ-SZ&t=294

http://www.pioneerdj.com/en/support/software/ddj-sz/#midi-mapping-files

Anybody can explain what the above links means from Pioneer website? what firmware version for Traktor ?

'' 

The TSI file has been partially changed in line with the firmware update where MIDI conflict issues were fixed. (December 15, 2014 Updated)

  • If you use the firmware ver 1.20 or later, you need to use a new TSI file.
  • If you use the TSI file provided by Pioneer, please download a new TSI file and import it again to your computer.    ''
KIKIS STAVROU 0 votes
Comment actions Permalink